<?php $r="../";
require_once($r."inc/funciones.php");
$titlepage = "Productos";
validNotSession($r);
$mysqli = connectDB($r);
$spe=$_SESSION['perfil'];
roleaccess(1320);
$row1 = $mysqli->query("SELECT * FROM z_productos WHERE eliminado=1 ORDER BY producto ASC");

/* VALIDA LOS PERMISOS DEL USUARIO */
?>


  <?php include $r."inc/head.php"; ?>
<body class="fixed-nav sticky-footer sidenav-toggled bg-dark" id="page-top">
  <?php include $r."inc/nav.php"; ?>
 
  <div class="content-wrapper">
    <div class="container-fluid">
      <!-- Example DataTables Card-->
      <div class="card mb-3">
        <div class="card-header">
          <i class="fa fa-table"></i>  Lista de Productos Eliminados
         </div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
              <thead>
                <tr>
                  <th>Código</th>
                  <th>Producto</th>
                  <th>Descripción</th>
                  <th>precio</th>
                  <th><i class="fa fa-cog"></i></th>
                </tr>
              </thead>
              <tfoot>
                <tr>
                  <th>Código</th>
                  <th>Producto</th>
                  <th>Descripción</th>
                  <th>Precio</th>
                  <th><i class="fa fa-cog"></i></th>
                </tr>
              </tfoot>
              <tbody>
                     <?php
                     
                    while($row2 = $row1->fetch_assoc()) {
                        $idproducto  = $row2["id"];
                        $sql10 = $mysqli->query("SELECT * FROM `z_producto_presentacion` WHERE `idproducto` = $idproducto");
                        $row10 = $sql10->fetch_assoc()
                    ?>
                      <tr <? if ($row2["estado"]!="0"){echo 'class="text-danger"';} ?>>
                        <td><?= $row2["id"] ?></td>
                        <td><?= $row2["producto"] ?></td>
                        <td><?= $row2["descripcion"] ?></td>
                        <td><?= '$ '.number_format($row10["precio"]).' COP';?></td>
                        <td width="130px" class="text-center h5 p-05">
                            <a class="text-danger d-inline back" title="Restaurar Producto <?= $row2["producto"] ?>" href="acciones.php?restore=1&id=<?= $row2['id']; ?>"><img src="trash-restore-solid.svg" width="24px" style="cursor:pointer"></a>
                        </td>
                        </tr>
                    <?php
                    }
                    ?>
              <tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  
  
<!-- ficha tecnica Modal-->
<div class="modal fade" id="modalft" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header" style="padding-top:0px;padding-bottom:0px;">
                <h5 class="modal-title" id="exampleModalLabel">FICHA TÉCNICA</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form class="formulario" id="formFichaTecnica" method="POST" enctype="multipart/form-data" action="acciones.php">
                <div class="modal-body">
                    <label for="fichatecnica">Archivo (Solo PDF)</label>
                    <input type="hidden" class="form-control" name="idproductoficha" id="idproductoficha" >
                    <input type="file" class="form-control" name="fichatecnica" id="fichatecnica" accept="application/pdf" required>

                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Guardar y Cerrar</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- ficha tecnica Modal-->
<div class="modal fade" id="modalct" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header" style="padding-top:0px;padding-bottom:0px;">
                <h5 class="modal-title" id="exampleModalLabel">CARACTERISTICAS</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form class="formulario" id="formcaracteristicas" method="POST" enctype="multipart/form-data" action="acciones.php">
                <div class="modal-body">
                    <label for="caracteristicas">Archivo (Solo WORD)</label>
                    <input type="hidden" class="form-control" name="idproductoct" id="idproductoct" >
                    <input type="file" class="form-control" name="caracteristicas" id="caracteristicas" accept=".doc,.docx,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document" required>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Guardar y Cerrar</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Modal compartir ficha tecnica -->
<div id="ModalCompartir" class="modal fade" role="dialog">
  <div class="modal-dialog modal-sm">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-body text-center" id="botones-compartir"></div>
    </div>
  </div>
</div>
  <?php include $r."inc/foot.php"; ?>
  <script>
    $('#dataTable').DataTable( {
        "stateSave": true,
        "lengthMenu": [[25, 50, 100, 500, -1], [25, 50, 100, 500, "Todos" ]],
        <?php if($actionexcel){?>"dom": '<"top"lfB>rt<"bottom"ip><"clear">', // Agrega B para los botones
        "buttons": [
            'copy', 'csv', 'excel', 'pdf', 'print'
        // Puedes agregar más botones según tus necesidades
        ],
        <? } ?>
    });
    
    function ficha_tecnica(id, url) {
        if (!url) {
            // Si la URL está vacía, abrir el modal con ID #modalft
            $('#modalft').modal('show');
            $('input[name=idproductoficha]').val(id);
        } else {
            // Configurar la ventana emergente sin barra de navegación ni herramientas
            let opciones = "width=800,height=600,resizable=yes,scrollbars=yes,status=no,toolbar=no,menubar=no,location=no,directories=no";
            let ventana = window.open('https://docs.google.com/gview?url=https://quimiforen.com/ft/' + encodeURIComponent(url) + '&embedded=true', '_blank', opciones);
    
            // Enfocar la ventana emergente si se bloquea la apertura
            if (ventana) {
                ventana.focus();
            }
        }
    }
    
    
    function caracteristicas(id, url) {
        if (!url) {
            // Si la URL está vacía, abrir el modal con ID #modalft
            $('#modalct').modal('show');
            $('input[name=idproductoct]').val(id);
        } else {
            // Configurar la ventana emergente sin barra de navegación ni herramientas
            let opciones = "width=800,height=600,resizable=yes,scrollbars=yes,status=no,toolbar=no,menubar=no,location=no,directories=no";
            let ventana = window.open('https://docs.google.com/gview?url=https://quimiforen.com/ct/' + encodeURIComponent(url) + '&embedded=true', '_blank', opciones);
    
            // Enfocar la ventana emergente si se bloquea la apertura
            if (ventana) {
                ventana.focus();
            }
        }
    }
    
      function compartir(url) {
    const botonesHTML = `
      <button class="btn btn-compartir" data-action="copiar">
        <i class="fa fa-clone" aria-hidden="true"></i> 
      </button>
      <button class="btn btn-compartir" data-action="whatsapp">
        <i class="fa fa-whatsapp" aria-hidden="true"></i> 
      </button>
      <button class="btn btn-compartir" data-action="telegram">
        <i class="fa fa-paper-plane" aria-hidden="true"></i> 
      </button>
      <button class="btn btn-compartir" data-action="email">
        <i class="fa fa-envelope" aria-hidden="true"></i> 
      </button>
      <button class="btn btn-compartir" data-action="descargar">
        <i class="fa fa-download" aria-hidden="true"></i> 
      </button>
    `;



    $('#botones-compartir').html(botonesHTML);
    $('#ModalCompartir').modal('show');
    $('.btn-compartir').off('click').on('click', function () {
      const accion = $(this).data('action');

      switch (accion) {
        case 'copiar':
          navigator.clipboard.writeText('https://quimiforen.com/ft/'+url)
            .then(() => alert('Enlace copiado al portapapeles'))
            .catch(() => alert('Error al copiar enlace'));
          break;

        case 'whatsapp':
          window.open(`https://wa.me/?text=${encodeURIComponent('https://quimiforen.com/ft/'+url)}`, '_blank');
          break;

        case 'telegram':
          window.open(`https://t.me/share/url?url=${encodeURIComponent('https://quimiforen.com/ft/'+url)}`, '_blank');
          break;

        case 'email':
          const asunto = encodeURIComponent("Te comparto este archivo");
          const cuerpo = encodeURIComponent(`Hola,\n\nAquí tienes el enlace:\n${'https://quimiforen.com/ft/'+url}`);
          window.location.href = `mailto:?subject=${asunto}&body=${cuerpo}`;
          break;
        
        case 'descargar':
            const a = document.createElement('a');
            a.href = 'https://quimiforen.com/ft/'+url;
            a.download = ''; // o puedes poner un nombre: 'archivo.pdf'
            document.body.appendChild(a);
            a.click();
            document.body.removeChild(a);
            break;
      }
    });
  }
  </script>
</body>
</html>    
    